Open MCP Portaldocs
ReferenceService accounts

Create a service account (team owners and admins)

POST/v1/teams/{team}/service-accounts

409 name_taken (names are unique within the team); 409 team_archived. At most 100 per team.

Path Parameters

team*string

Team slug or ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/teams/string/service-accounts" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "teamId": "a4ede8ba-7c0a-4485-8763-cbd9b282fbec",    "teamSlug": "string",    "name": "ci-release-bot",    "description": "string",    "role": "member",    "enabled": true,    "activeKeyCount": 0,    "lastUsedAt": "2019-08-24T14:15:22Z",    "createdByName": "string",    "revision": 0,    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}